Assist++ doesen't recongize static methods in class

02/10/2017 01:51 PM - Zbigniew Rebacz

Status: Approved Start date: 02/10/2017

Priority: Urgent Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: Assist++ Estimated time: 0.00 hour

Target version: Release 2018.1 Spent time: 0.00 hour

Description

Example:

// MyStaticClass.h

namespace A {

class MyStaticClass {

public:

    static void PrintLogToConsole(const std::string& log);

}

}

// MyStaticClass.cpp

using namespace A;

MyStaticClass::PrintLogToConsole(const std::string& log) { ... }

// Another file

#include "MyStaticClass.h" 

MyStaticClass::PrintLogToConsole("Ultimate++"); // Jumping to PrintLogToConsole doesn't work...

Will test - this is the basic re-implementation of legacy code.

History

#1 - 02/10/2017 01:51 PM - Zbigniew Rebacz

- Description updated

#2 - 05/06/2017 06:48 PM - Zbigniew Rebacz

- Priority changed from Normal to High

#3 - 11/07/2017 10:28 PM - Zbigniew Rebacz

- Priority changed from High to Urgent

Should be fixed in 2017.2.

#4 - 11/30/2017 10:52 PM - Zbigniew Rebacz

- Description updated
#5 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 to Release 2018.1

#6 - 01/31/2018 07:03 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

IDK, I have tested with exactly this code and it works....

#7 - 02/04/2018 02:59 PM - Zbigniew Rebacz

I Tested it too and it works correctly. Closing...

#8 - 02/04/2018 03:00 PM - Zbigniew Rebacz

- Status changed from New to Approved

07/04/2025 2/2


